Bug 858081 - Review Request: gap-sonata - GAP package for systems of nearrings
Review Request: gap-sonata - GAP package for systems of nearrings
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paulo Andrade
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-17 18:51 EDT by Jerry James
Modified: 2012-09-25 12:34 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-25 12:34:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
paulo.cesar.pereira.de.andrade: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jerry James 2012-09-17 18:51:27 EDT
Spec URL: http://jjames.fedorapeople.org/gap-sonata/gap-sonata.spec
SRPM URL: http://jjames.fedorapeople.org/gap-sonata/gap-sonata-2.5.1-1.fc19.src.rpm
Description: SONATA stands for "systems of nearrings and their applications".  It
provides methods for the construction and the analysis of finite nearrings.  A left nearring is an algebra (N;+,*), where (N,+) is a (not necessarily abelian) group, (N,*) is a semigroup, and x*(y+z) = x*y + x*z holds for all x,y,z in N.
Fedora Account System Username: jjames
Comment 1 Paulo Andrade 2012-09-18 21:51:03 EDT
  The license tag is based on
/usr/lib/gap/pkg/sonata/doc/ref/copyrigh.tex
right?

  These files should be removed:

$ find /usr/lib/gap/pkg -name \*log
/usr/lib/gap/pkg/sonata/doc/tut/manual.log
/usr/lib/gap/pkg/sonata/doc/ref/manual.log

  About tarball not matching package name should not be an
issue, and the reason should be the existing, unrelated, sonata
package.

  No need to regenerate a package for review just to remove
the manual.log files, just do it when importing the package,
or give a good reason for it to be packaged :-)

  I consider the package approved, have been using the older
version from your page since fedora 16, and it matches the
other already approved gap sub packages.

---%<---

Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package contains desktop file if it is a GUI application.
[x]: MUST Development files must be in a -devel package
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[!]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Package is not relocatable.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: SHOULD Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL5 is required
[x]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD Scriptlets must be sane, if used.
[x]: SHOULD SourceX tarball generation or download is documented.
[!]: SHOULD SourceX / PatchY prefixed with %{name}.
     Note: Source0 (sonata-2.5.1.tar.gz)
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[x]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
See: http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#ValidLicenseShortNames

Rpmlint
-------
Checking: gap-sonata-2.5.1-1.fc19.src.rpm
          gap-sonata-2.5.1-1.fc19.noarch.rpm
gap-sonata.src: W: spelling-error Summary(en_US) nearrings -> earrings, n earrings, near rings
gap-sonata.src: W: spelling-error %description -l en_US nearrings -> earrings, n earrings, near rings
gap-sonata.src: W: spelling-error %description -l en_US nearring -> nearing, earring, n earring
gap-sonata.src: W: spelling-error %description -l en_US abelian -> Belgian, Annabel, Anabel
gap-sonata.src: W: spelling-error %description -l en_US semigroup -> semi group, semi-group, semipro
gap-sonata.src: W: spelling-error %description -l en_US pointwise -> point wise, point-wise, pointless
gap-sonata.src: W: spelling-error %description -l en_US endomorphisms -> anthropomorphism
gap-sonata.src: W: spelling-error %description -l en_US automorphisms -> anthropomorphism
gap-sonata.src: W: spelling-error %description -l en_US automorphism -> metamorphism
gap-sonata.src: W: spelling-error %description -l en_US nearfields -> near fields, near-fields, airfields
gap-sonata.noarch: W: spelling-error Summary(en_US) nearrings -> earrings, n earrings, near rings
gap-sonata.noarch: W: spelling-error %description -l en_US nearrings -> earrings, n earrings, near rings
gap-sonata.noarch: W: spelling-error %description -l en_US nearring -> nearing, earring, n earring
gap-sonata.noarch: W: spelling-error %description -l en_US abelian -> Belgian, Annabel, Anabel
gap-sonata.noarch: W: spelling-error %description -l en_US semigroup -> semi group, semi-group, semipro
gap-sonata.noarch: W: spelling-error %description -l en_US pointwise -> point wise, point-wise, pointless
gap-sonata.noarch: W: spelling-error %description -l en_US endomorphisms -> anthropomorphism
gap-sonata.noarch: W: spelling-error %description -l en_US automorphisms -> anthropomorphism
gap-sonata.noarch: W: spelling-error %description -l en_US automorphism -> metamorphism
gap-sonata.noarch: W: spelling-error %description -l en_US nearfields -> near fields, near-fields, airfields
gap-sonata.noarch: W: only-non-binary-in-usr-lib
gap-sonata.noarch: E: zero-length /usr/lib/gap/pkg/sonata/doc/tut/answers.tex
gap-sonata.noarch: E: zero-length /usr/lib/gap/pkg/sonata/doc/ref/answers.tex
2 packages and 0 specfiles checked; 2 errors, 21 warnings.


Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:
Requires
--------
gap-sonata-2.5.1-1.fc19.noarch.rpm (rpmlib, GLIBC filtered):
    
    /usr/bin/update-gap-workspace
    gap-core

Provides
--------
gap-sonata-2.5.1-1.fc19.noarch.rpm:
    
    gap-pkg-sonata = 2.5.1-1.fc19
    gap-sonata = 2.5.1-1.fc19

MD5-sum check
-------------
http://www.algebra.uni-linz.ac.at/Sonata/sonata-2.5.1/sonata-2.5.1.tar.gz :
  CHECKSUM(SHA256) this package     : 124603d86600449d767c753d9e21daba52421f4c27f1141e94e21fbc6e1a0315
  CHECKSUM(SHA256) upstream package : 124603d86600449d767c753d9e21daba52421f4c27f1141e94e21fbc6e1a0315


Generated by fedora-review 0.2.2 (9f8c0e5) last change: 2012-08-09
Command line :/usr/bin/fedora-review -b 858081
External plugins:
Comment 2 Jerry James 2012-09-19 13:04:15 EDT
Good catch.  I'll remove those files before importing.  Thanks for the review!

New Package SCM Request
=======================
Package Name: gap-sonata
Short Description: GAP package for systems of nearrings
Owners: jjames
Branches: f18
InitialCC:
Comment 3 Gwyn Ciesla 2012-09-19 13:21:07 EDT
Git done (by process-git-requests).
Comment 4 Fedora Update System 2012-09-20 00:03:06 EDT
gap-sonata-2.5.1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/gap-sonata-2.5.1-1.fc18
Comment 5 Fedora Update System 2012-09-22 02:33:25 EDT
gap-sonata-2.5.1-1.fc18 has been pushed to the Fedora 18 testing repository.
Comment 6 Fedora Update System 2012-09-25 12:34:59 EDT
gap-sonata-2.5.1-1.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.